Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shoppingadvisor
Class CustomerProfileValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.shoppingadvisor.CustomerProfileValue

public class CustomerProfileValue
extends SmartValue

This class stores a list of qualities desired by a particular customer

See Also:
  `CustomerProfile`, `CustomerProfileHome`, `CustomerProfile.getCustomerProfileByValue()`, `CustomerProfile.setCustomerProfileByValue(CustomerProfileValue)`, Serialized Form

Field Summary
`SmartHandle` | `customer` customer [CustomerProfile] <>------> [`theory.smart.ebusiness.customer.Customer`]
`java.lang.String` | `customerKey` customerKey [CustomerProfile] <*>------> [`String`] (Primary Key)
`com.sun.java.util.collections.LinkedList` | `qualities` quality (List) [CustomerProfile] <*>------> [`theory.smart.axiom.units.Quality`] 0..*

Constructor Summary
`protected` | `CustomerProfileValue()` Only get/setCustomerProfileByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### customerKey

    public java.lang.String customerKey

                        customerKey
       [CustomerProfile] <*>------> [String] (Primary Key)

### qualities

    public com.sun.java.util.collections.LinkedList qualities

                        quality (List)
       [CustomerProfile] <*>------> [theory.smart.axiom.units.Quality]
                           0..*

### customer

    public SmartHandle customer

                        customer
       [CustomerProfile] <>------> [theory.smart.ebusiness.customer.Customer]

Constructor Detail

### CustomerProfileValue

    protected CustomerProfileValue()

  Only get/setCustomerProfileByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.